<?php 
function ta_agpb_filter_grid_temp($use_filter = '', $portfolio_showcase_cats = '', $portfolio_select_display_post = '') {
	if($use_filter == 'yes') { ?>
	<div class="filter-wraper">
		<div id="mobile-filter-id" class="mobile-filter container clearfix">
			<button id="filter-icon">
				<span class="bar bar-1"></span>
				<span class="bar bar-2"></span>
				<span class="bar bar-3"></span>
				<span class="bar bar-4"></span>
			</button>
		</div>
		<?php 
		if ($portfolio_select_display_post == 'category' || $portfolio_select_display_post == 'specific_post') {
			$portfolio_ids = array();
			foreach ($portfolio_showcase_cats as $cat_id) {
				$portfolio_ids[] = get_term_by('name', $cat_id, 'portfolio-category')->term_id;
			}
		}

		echo '<ul id="portfolio-filter" class="filters container style-1 clearfix">';
		echo '<li class="activeFilter" data-filter="*"><button data-filter="*" type="button" class="filter-btn">All</button></li>';
		if ($portfolio_select_display_post == 'category' || $portfolio_select_display_post == 'specific_post') {
			$args = array( 
				'taxonomy' => 'portfolio-category',
				'include' => $portfolio_ids
	        );
		} else {
			$args = array( 
				'taxonomy' => 'portfolio-category'
	        );
		}
		$cat_lists = get_categories( $args );

		foreach ( $cat_lists as $cat_list ) {
			$category_name = $cat_list->name;
			$category_slug = $cat_list->slug;
			echo '<li><button data-filter=".'. sanitize_text_field( $category_slug ) .'" type="button" class="filter-btn">' . sanitize_text_field( $category_name ) . '</button></li>';
		}

		echo '</ul>'; ?>
	</div>
	<?php }
}

function ta_agpb_filter_grid_load_more($portfolio_pagination_type = '', $portfolio_text_load_more = '', $ta_portfo = '') {
	if($portfolio_pagination_type == 'pagination_load_more') {
	    if (!empty($portfolio_text_load_more)) {
	        $portfolio_text_load_more = esc_html($portfolio_text_load_more);
	    } else {
	        $portfolio_text_load_more = esc_html__('Load More', 'advanced-grid-portfolio-builder');
	    } ?>
		<div class="container clearfix">
			<div class="navigation-paging infinite-wrap clearfix">
				<div id="load-more-loop-grid-1" class="infinite-button">
					<?php next_posts_link( '', $ta_portfo->max_num_pages ); ?>
				</div>
				<button id="load-infinite-loop-grid11" class="btn"><?php echo $portfolio_text_load_more; ?></button>
			</div>
		</div>
	<?php } ?>

	<?php if($portfolio_pagination_type == 'pagination_infinite') { ?>
		<div class="display-none">
			<div id="load-more-loop-grid-1" class="infinite-button">
				<?php next_posts_link( '', $ta_portfo->max_num_pages ); ?>
			</div>
			<button id="load-infinite-loop-grid11" class="btn"><?php echo $portfolio_text_load_more; ?></button>
		</div>
	<?php }
}

function ta_agpb_filter_grid_script($showcase_id = '', $use_filter = '', $portfolio_pagination_type = '') {
$loader_img = plugin_dir_url('README.txt') . PORTFOLIO_AWESOME_NAME . '/public/img/loader.gif'; ?>
	<script>
	(function($) {

		'use strict';

		$(document).ready(function(){

			var $grid = $('.portfolio-post-<?php echo esc_attr($showcase_id); ?> .grid-template').imagesLoaded().progress( function() {
				// init Masonry after all images have loaded
				$grid.isotope({
					transitionDuration: '0.65s',
					initLayout: true,
					columnWidth: '.portfolio-block-item',
					itemSelector: '.portfolio-block-item',
					fitWidth: true,
					stagger: 30,
					layoutMode: 'fitRows',
				});
			});

			<?php if($portfolio_pagination_type == 'pagination_load_more') { ?>
			var $container = $('.portfolio-post-<?php echo esc_attr($showcase_id); ?> .grid-template');

			// Infinite Scroll
			$container.infinitescroll({
				loading: {
					finishedMsg: 'There is no more',
					img: "<?php echo $loader_img; ?>",
					msgText: 'loading',
					speed: 'normal'
				},

				state: {
					isDone: false
				},
					navSelector  : '.portfolio-post-<?php echo esc_attr($showcase_id); ?> #load-more-loop-grid-1',
					nextSelector : '.portfolio-post-<?php echo esc_attr($showcase_id); ?> #load-more-loop-grid-1 a',
					itemSelector : '.portfolio-post-<?php echo esc_attr($showcase_id); ?> .portfolio-block-item',

				},
				function( newElements ) {
					var $newElems = $( newElements ).css({ opacity: 0 });
					$newElems.imagesLoaded(function(){
						$newElems.animate({ opacity: 1 });
						$container.isotope( 'appended', $newElems, true );
					});
					if ($('.lightbox-parent').length) {
						$('.lightbox-parent').data('lightGallery').destroy(true);
		    			$('.lightbox-parent').lightGallery({
				            thumbnail: false,
				            download: false,
				            selector: '.lightbox-image'
				        });
		    		}

					$('.grid-template').css('margin-bottom', 0);
			});

			$container.infinitescroll('unbind');
			$(".portfolio-post-<?php echo esc_attr($showcase_id); ?> #load-infinite-loop-grid11").click(function(){
				$container.infinitescroll('retrieve');

				if ($('.lightbox-parent').length) {
					$('.lightbox-parent').data('lightGallery').destroy(true);
	    			$('.lightbox-parent').lightGallery({
			            thumbnail: false,
			            download: false,
			            selector: '.lightbox-image'
			        });
	    		}

				$('.grid-template').css('margin-bottom', 120);
				return false;
			});
			<?php } ?>

			<?php if($portfolio_pagination_type == 'pagination_infinite') { ?>
			var $container = $('.portfolio-post-<?php echo esc_attr($showcase_id); ?> .grid-template');

			// Infinite Scroll
			function loadMore() {
				$container.infinitescroll({
					loading: {
						finishedMsg: 'There is no more',
						img: "<?php echo $loader_img; ?>",
						msgText: 'loading',
						speed: 'normal'
					},

					state: {
						isDone: false
					},
						navSelector  : '.portfolio-post-<?php echo esc_attr($showcase_id); ?> #load-more-loop-grid-1',
						nextSelector : '.portfolio-post-<?php echo esc_attr($showcase_id); ?> #load-more-loop-grid-1 a',
						itemSelector : '.portfolio-post-<?php echo esc_attr($showcase_id); ?> .portfolio-block-item',

					},
					function( newElements ) {
						var $newElems = $( newElements ).css({ opacity: 0 });
						$newElems.imagesLoaded(function(){
							$newElems.animate({ opacity: 1 });
							$container.isotope( 'appended', $newElems, true );
						});

						if ($('.lightbox-parent').length) {
							$('.lightbox-parent').data('lightGallery').destroy(true);
			    			$('.lightbox-parent').lightGallery({
					            thumbnail: false,
					            download: false,
					            selector: '.lightbox-image'
					        });
			    		}
						$('.grid-template').css('margin-bottom', 0);
				});
			}

			$container.infinitescroll('unbind');
			$(".portfolio-post-<?php echo esc_attr($showcase_id); ?> #load-infinite-loop-grid11").click(function(){
				$container.infinitescroll('retrieve');

				if ($('.lightbox-parent').length) {
					$('.lightbox-parent').data('lightGallery').destroy(true);
	    			$('.lightbox-parent').lightGallery({
			            thumbnail: false,
			            download: false,
			            selector: '.lightbox-image'
			        });
	    		}

				$('.grid-template').css('margin-bottom', 120);
				return false;
			});

			loadMore();

			window.addEventListener('scroll', function() {
			  	if ((window.innerHeight + window.scrollY) >= document.body.offsetHeight - 10) {
					$container.infinitescroll('retrieve');
	                $('.grid-template').css('margin-bottom', 120);
	                return false;
			  	}
			});
			<?php } ?>

			$('.portfolio-post-<?php echo esc_attr($showcase_id); ?> #mobile-filter-id').click(function () {
				$('.portfolio-post-<?php echo esc_attr($showcase_id); ?> #portfolio-filter').toggleClass('show');
			});

			<?php if($use_filter == 'yes') { ?>
			$('.portfolio-post-<?php echo esc_attr($showcase_id); ?> #portfolio-filter button').click(function(event){
	            $('.portfolio-post-<?php echo esc_attr($showcase_id); ?> #portfolio-filter li').removeClass('activeFilter');
	            $(this).parent('li').addClass('activeFilter');
	            var selector = $(this).attr('data-filter');
	            $grid.isotope({ filter: selector });
			});
			<?php } ?>
		});

	})( jQuery );
	</script>
<?php }