<?php 
/*
Template Name: Style Dua
Template Post Type: portfolio-awesome
*/

get_header();

global $wp;
if ( have_posts() ):

wp_enqueue_style( 'ta-portfolio-awesome-fontawesome', get_bloginfo('wpurl').'/wp-content/plugins/portfolio-builder-awesome/public/css/fontawesome.min.css', array(), '', 'all' );

while ( have_posts() ) : the_post();

$portfolio_awesome_single_width = carbon_get_theme_option( 'portfolio_awesome_single_width' );
$portfolio_readmore = carbon_get_theme_option('portfolio_awesome_read_more' );

if(!empty($portfolio_awesome_single_width) && $portfolio_awesome_single_width != '0') {
	$portfolio_awesome_single_width = $portfolio_awesome_single_width .'px';
} else { 
	$portfolio_awesome_single_width = '1080px'; 
}

if (has_post_thumbnail()) {
	$img_url_porto = wp_get_attachment_image_src( get_post_thumbnail_id(), 'full');
	$image_portores =  aq_resize($img_url_porto[0],  1200 , 800, true, true, true);

} else {
	$image_portores = '';
	$image_gallery = '';
}

$portfolio_subtitle = carbon_get_post_meta(get_the_ID(), 'portfolio_sub_title' );

if(!empty($portfolio_readmore)) {
	$portfolio_readmore = $portfolio_readmore;
} else {
	$portfolio_readmore = "Read More";
} ?>

<div class="single-portfolio-main-wrapper intro-effect-fadeout" id="container">
	<div class="header-single">
		<div class="bg-img">
			<img src="<?php echo esc_url($image_portores); ?>" alt="<?php the_title(); ?>" />
			<div class="bg-img-overlay"></div>
		</div>
		<div class="title">
			<h1><?php the_title(); ?></h1>
			<p class="subline"><?php echo $portfolio_subtitle; ?></p>
			<p><?php portfolio_facts_single_style(get_the_ID()); ?></p>
		</div>
	</div>
	<button class="trigger" data-info="<?php echo esc_html__('Read More', 'advanced-grid-portfolio-builder'); ?>"><span></span></button>
	<article class="content">
		<div class="single-portfolio-wrap single-container single-portfolio-showcase">
			<?php the_content(); ?>
		</div>
	</article>
</div>
<?php 
endwhile; 
endif;
wp_reset_postdata();

wp_enqueue_script( 'agpb-advanced-grid-portfolio-builder-classie',  plugin_dir_url(__DIR__ ).'assets/js/classie.js', array('jquery'), '', false );

wp_enqueue_script( 'agpb-advanced-grid-portfolio-builder-scroll-effect',  plugin_dir_url(__DIR__ ).'assets/js/scroll-effect.js', array('jquery'), '', false );

get_footer();